Request
curl -X PUT https://sandbox.api.lendeasy.ai /v1/servicing/cases/$CASE_ID \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"priority": "HIGH",
"summary": "Customer supplied the requested servicing details.",
"fields": {
"contact_outcome": "CUSTOMER_REACHED",
"follow_up_date": "2026-07-27"
},
"reason": "Recorded the result of the customer call."
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cases/${caseId}` , {
method: "PUT" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"priority": "HIGH",
"summary": "Customer supplied the requested servicing details.",
"fields": {
"contact_outcome": "CUSTOMER_REACHED",
"follow_up_date": "2026-07-27"
},
"reason": "Recorded the result of the customer call."
}),
});requests.put(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cases/{case_id}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"priority": "HIGH",
"summary": "Customer supplied the requested servicing details.",
"fields": {
"contact_outcome": "CUSTOMER_REACHED",
"follow_up_date": "2026-07-27"
},
"reason": "Recorded the result of the customer call."
},
)200 400 401 403 404 409
{
"caseId": 1001 ,
"resourceId": 1001 ,
"changes": {
"priority": "HIGH",
"fieldKeys": [
"contact_outcome",
"follow_up_date"
]
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}